# AddonCommand
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.commands

## Class AddonCommand

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.commands.AddonCommand

    public class AddonCommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AddonCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `givePaint(org.bukkit.entity.Player sender, org.bukkit.entity.Player target, java.lang.Integer red, java.lang.Integer green, java.lang.Integer blue)`
`void` `givePart(org.bukkit.entity.Player sender, org.bukkit.entity.Player target, java.lang.Integer red, java.lang.Integer green, java.lang.Integer blue, java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`
`void` `giveWheel(org.bukkit.entity.Player sender, org.bukkit.entity.Player target, java.lang.String partName, java.lang.Integer red, java.lang.Integer green, java.lang.Integer blue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddonCommand

    public AddonCommand()

### Method Detail

#### givePart

    public void givePart(org.bukkit.entity.Player sender,
                         org.bukkit.entity.Player target,
                         java.lang.Integer red,
                         java.lang.Integer green,
                         java.lang.Integer blue,
                         java.lang.Double xOffset,
                         java.lang.Double yOffset,
                         java.lang.Double zOffset)

#### givePaint

    public void givePaint(org.bukkit.entity.Player sender,
                          org.bukkit.entity.Player target,
                          java.lang.Integer red,
                          java.lang.Integer green,
                          java.lang.Integer blue)

#### giveWheel

    public void giveWheel(org.bukkit.entity.Player sender,
                          org.bukkit.entity.Player target,
                          java.lang.String partName,
                          java.lang.Integer red,
                          java.lang.Integer green,
                          java.lang.Integer blue)